%define _disable_ld_no_undefined 1

%define oname telepathy-qt

Summary:	Base classes for use in connection managers, and proxy classes
Name:		telepathy-qt5
Version:	0.9.7
Release:	1
License:	LGPLv2.1+
Group:		Networking/Instant messaging
Url:		http://telepathy.freedesktop.org/wiki/Telepathy-Qt5
Source0:	http://telepathy.freedesktop.org/releases/%{oname}/%{oname}-%{version}.tar.gz
Patch0:		0001-FindQt5.cmake-look-in-the-correct-pkg-config-file.patch
Patch1:		0002-FindQt5.cmake-remove-hardcoded-fPIC-flag.patch
Patch2:		0003-CMakeLists.txt-require-python-2.7.patch
Patch3:		0004-Adapt-the-client-registrar-to-the-new-thread-based.patch
Patch4:		0100-Fix-tp-service-build-with-Wl-no-undefined.patch
BuildRequires:	cmake
BuildRequires:	doxygen
BuildRequires:	libxml2-utils
BuildRequires:	python-dbus
BuildRequires:	qt5-assistant
BuildRequires:	pkgconfig(dbus-1)
BuildRequires:	pkgconfig(dbus-glib-1)
BuildRequires:	pkgconfig(farstream-0.2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gstreamer-1.0)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(python)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(telepathy-farstream)
BuildRequires:	pkgconfig(telepathy-glib)

%description
Qt5 libraries for use in Telepathy clients and connection managers.

#----------------------------------------------------------------------------

%define telepathy_qt5_major 0
%define libtelepathy_qt5 %mklibname telepathy-qt5_ %{telepathy_qt5_major}

%package -n %{libtelepathy_qt5}
Summary:	Telepathy Qt5 shared library
Group:		System/Libraries

%description -n %{libtelepathy_qt5}
Telepathy Qt5 shared library.

%files -n %{libtelepathy_qt5}
%{_libdir}/libtelepathy-qt5.so.%{telepathy_qt5_major}*

#----------------------------------------------------------------------------

%define telepathy_qt5_farstream_major 0
%define libtelepathy_qt5_farstream %mklibname telepathy-qt5-farstream %{telepathy_qt5_farstream_major}

%package -n %{libtelepathy_qt5_farstream}
Summary:	Telepathy Qt5 shared library
Group:		System/Libraries

%description -n %{libtelepathy_qt5_farstream}
Telepathy Qt5 shared library.

%files -n %{libtelepathy_qt5_farstream}
%{_libdir}/libtelepathy-qt5-farstream.so.%{telepathy_qt5_farstream_major}*

#----------------------------------------------------------------------------

%define telepathy_qt5_service_major 0
%define libtelepathy_qt5_service %mklibname telepathy-qt5-service %{telepathy_qt5_service_major}

%package -n %{libtelepathy_qt5_service}
Summary:	Telepathy Qt5 shared library
Group:		System/Libraries

%description -n %{libtelepathy_qt5_service}
Telepathy Qt5 shared library.

%files -n %{libtelepathy_qt5_service}
%{_libdir}/libtelepathy-qt5-service.so.%{telepathy_qt5_service_major}*

#----------------------------------------------------------------------------

%define devname %mklibname %{name} -d

%package -n %{devname}
Summary:	%{name} development files
Group:		Development/Other
Requires:	%{libtelepathy_qt5} = %{EVRD}
Requires:	%{libtelepathy_qt5_farstream} = %{EVRD}
Requires:	%{libtelepathy_qt5_service} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}

%description -n %{devname}
Telepathy-qt development files.

%files -n %{devname}
%{_includedir}/telepathy-qt5
%{_libdir}/pkgconfig/TelepathyQt5.pc
%{_libdir}/pkgconfig/TelepathyQt5Farstream.pc
%{_libdir}/pkgconfig/TelepathyQt5Service.pc
%{_libdir}/*.so
%{_libdir}/cmake/TelepathyQt5
%{_libdir}/cmake/TelepathyQt5Farstream
%{_libdir}/cmake/TelepathyQt5Service

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1

%build
%cmake_qt5
%make

%install
%makeinstall_std -C build


%changelog

* Tue Nov 08 2016 Rosa <rosa@abf.rosalinux.ru> 0.9.7-1
- (80a1d38) Automatic import for version 0.9.7-1


